Subject: Re: Follow up to New Question:
From: [email-masked] (Alex)

28 Sep 1997 01:09:48 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Kermit Tensmeyer <[email-masked]>
Cc: [email-masked]

On Sat, 27 Sep 1997, Kermit Tensmeyer wrote:

> > Right, because it's not supported.  It's probably not supposed to be in
> > there.
> 
>    In this particular sense, what does "it's not supported" mean?

It was probably not exported correctly, or just junk in the first place.
 
>   rexec is a supplied executible in the NT OS. (rexecD is not 
> supported  except in the MS NT Supplement Disk.)
> 
>   Rexec, RSH are RFC based protocols that communicate with a server
>  The include files include a define for the Protocol.
> 
>   I expect that the function is supported but not the server.
> 
> >  
> > >  so how is gnuwin32 differenet from the orthodox Gnu C compiler?
> > 
> > It doesn't have a libc in the usual sense.
> 
>    You mean it does not? have any default library, that gets auto 
> loaded into the compile? It does not have a standard library to 
> handle unix standard function calls?

My understanding is that most (if not all) windows programs are linked
against a C runtime dll (usually crtdll.dll).   GNU-Win32 uses its own
dll to provide a Unix like enviroment (cygwin.dll) which provides
wrappers and missing functions.  So, you _could_ call it a libc, I don't.
By b19, it might not be linked to cygwin.dll by default, that's still up
in the air I _think_.

>   If it does not support the basic GNU requirments why not? How or
> why was it broken?

>  Rexec is a function
> 
>    SOCKET *rexec(char **host, int port, char *UserID, char *PassWD, 
>                                char *cmd, FileIOSTream *ErrOutFile);
> 
>   which use port 512 to communicate to remote site host.

Ok, then it is probably in the NT version of wsock32.dll.

>   I _think_ that recv might be a
> > function in wsock32.dll (try running nm or strings on it and/or
> > winsock.dll).  I _think_ the functions that need wrappers and that aren't
> > in the Win32 api are included in the "libc" a.k.a. libcygwin.a/cygwin.dll.
> > I _think_ all the functions that are copied straight over from Win32 dlls
> > have their own .a libs.
> >
> 
>   in either event the calls are not being found in the load.
> 
>  so why doesn't the functions 'rexec' or 'recv' find the functions
>  in either the explict load or the default libcygwin.a.

I don't know.  I haven't looked at the source in a while.  However if the
functions are indeed in wsock32.dll, you can create an export list and
then a .a style library to use rexec from (that's how libwsock32.a and
libcygwin.a were created). Instructions are on a
link on cygnus's web page.  I can find them if you would like them.

>   Is there an option in this version of the compiler to show the 
>  assembly version of the code? [ Unix, VMS versions of GCC
>  use -s]

The should be.
 
>   What I want to know is how to map names from the C version of
>  the file to the library version of the file.

I have no idea.

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".